
Database - Bug #5521

[java] java.io.EOFException on import when no PSC footer

07/06/2021 08:12 AM - Roger Borrello

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Ovidiu Maxiniuc % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 07/06/2021 08:14 AM - Roger Borrello

Some details are available in the related thread starting at #5034-814.

From Greg:

I don't think we should be showing this for the case where there is no footer. That is a common case and we should handle it gracefully.

#2 - 07/06/2021 09:07 PM - Ovidiu Maxiniuc

- % Done changed from 0 to 100

- Status changed from New to WIP

The issue should be fixed in revision 12640.

#3 - 07/07/2021 06:22 AM - Greg Shah

Code Review Task Branch 3821c Revison 12640

The changes look good.

#4 - 07/07/2021 06:22 AM - Greg Shah

- Status changed from WIP to Test

#5 - 07/07/2021 10:15 AM - Roger Borrello

My ant import.db of the database went off without any issues (aside from my PL/Java getting upgraded to 1.6.2 again).

#6 - 07/07/2021 10:20 AM - Greg Shah

- Status changed from Test to Closed
